python 2.6.7: added missing dependency for bzip2 (without this python-compression...
[openembedded.git] / recipes / hsetroot / files / pkgconfigize-imlib.patch
1 Index: hsetroot-1.0.2/configure.ac
2 ===================================================================
3 --- hsetroot-1.0.2.orig/configure.ac    2003-09-05 21:41:38.000000000 +0000
4 +++ hsetroot-1.0.2/configure.ac 2007-08-09 21:14:09.000000000 +0000
5 @@ -39,16 +39,7 @@
6  AC_C_CONST
7  
8  # Check for imlib2
9 -AC_CHECK_PROGS(imlib2config_cmd, imlib2-config)
10 -if test x$imlib2config_cmd = "x"; then
11 -  AC_MSG_ERROR([error. Imlib2 is required to compile.])
12 -fi
13 -
14 -IMLIB2_CFLAGS=`$imlib2config_cmd --cflags`
15 -AC_SUBST(IMLIB2_CFLAGS)
16 -
17 -IMLIB2_LIBS=`$imlib2config_cmd --libs`
18 -AC_SUBST(IMLIB2_LIBS)
19 +PKG_CHECK_MODULES(IMLIB2, imlib2)
20  
21  # Some extra definitions for config.h
22  AC_DEFINE(DESCRIPTION, "yet another wallpaper application", [single line package description])